"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFileOutlineHighlights = exports.getHighlightsThatFit = void 0;
const index_shared_1 = require("./index.shared");
const ContentPath_continue_1 = require("./parser/ContentPath.continue");
function getHighlightsThatFit(contextSizer, chatSources, otherSources) {
    return __awaiter(this, void 0, void 0, function* () {
        return (0, index_shared_1.highlightsThatFit)(contextSizer, chatSources, otherSources, new ContentPath_continue_1.ContinueContentPath());
    });
}
exports.getHighlightsThatFit = getHighlightsThatFit;
function getFileOutlineHighlights(sources) {
    return __awaiter(this, void 0, void 0, function* () {
        return (0, index_shared_1.generateFileOutlines)({
            sources: sources,
            contentPath: new ContentPath_continue_1.ContinueContentPath(),
        });
    });
}
exports.getFileOutlineHighlights = getFileOutlineHighlights;
//# sourceMappingURL=index.continue.js.map